package com.ywt.outpatient.api.checkup_booking;

import java.util.List;

/**
 * @author Walker
 * Created on 2022/5/6
 */
public class SaveRegRecordResp {
    private String patientRegNo;
    private String patientName;
    private String sex;
    private String patientAge;
    private String patientIdNo;
    private String patientIdNoEncrypt;
    private String regId;
    private String phoneNo;
    private String levelDesc;
    private Integer totalAmount;
    private String status;
    private String payFlag;
    private String admId;
    private String preIADM;
    private String locId;
    private String locDesc;
    private String regExamDate;
    private String regExamTime;
    private String pmType;
    private String peId;
    private String canModifyFlag;
    private String preWay;
    private String createTime;
    private String orderNo;
    private List<RegCheckupItemResp> regCheckupItemRespList;
    private String ordSetsDesc; // 套餐名称

    public String getPatientRegNo() {
        return patientRegNo;
    }

    public void setPatientRegNo(String patientRegNo) {
        this.patientRegNo = patientRegNo;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getPatientAge() {
        return patientAge;
    }

    public void setPatientAge(String patientAge) {
        this.patientAge = patientAge;
    }

    public String getPatientIdNo() {
        return patientIdNo;
    }

    public void setPatientIdNo(String patientIdNo) {
        this.patientIdNo = patientIdNo;
    }

    public String getPatientIdNoEncrypt() {
        return patientIdNoEncrypt;
    }

    public void setPatientIdNoEncrypt(String patientIdNoEncrypt) {
        this.patientIdNoEncrypt = patientIdNoEncrypt;
    }

    public String getRegId() {
        return regId;
    }

    public void setRegId(String regId) {
        this.regId = regId;
    }

    public String getPhoneNo() {
        return phoneNo;
    }

    public void setPhoneNo(String phoneNo) {
        this.phoneNo = phoneNo;
    }

    public String getLevelDesc() {
        return levelDesc;
    }

    public void setLevelDesc(String levelDesc) {
        this.levelDesc = levelDesc;
    }

    public Integer getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPayFlag() {
        return payFlag;
    }

    public void setPayFlag(String payFlag) {
        this.payFlag = payFlag;
    }

    public String getAdmId() {
        return admId;
    }

    public void setAdmId(String admId) {
        this.admId = admId;
    }

    public String getPreIADM() {
        return preIADM;
    }

    public void setPreIADM(String preIADM) {
        this.preIADM = preIADM;
    }

    public String getLocId() {
        return locId;
    }

    public void setLocId(String locId) {
        this.locId = locId;
    }

    public String getLocDesc() {
        return locDesc;
    }

    public void setLocDesc(String locDesc) {
        this.locDesc = locDesc;
    }

    public String getRegExamDate() {
        return regExamDate;
    }

    public void setRegExamDate(String regExamDate) {
        this.regExamDate = regExamDate;
    }

    public String getRegExamTime() {
        return regExamTime;
    }

    public void setRegExamTime(String regExamTime) {
        this.regExamTime = regExamTime;
    }

    public String getPmType() {
        return pmType;
    }

    public void setPmType(String pmType) {
        this.pmType = pmType;
    }

    public String getPeId() {
        return peId;
    }

    public void setPeId(String peId) {
        this.peId = peId;
    }

    public String getCanModifyFlag() {
        return canModifyFlag;
    }

    public void setCanModifyFlag(String canModifyFlag) {
        this.canModifyFlag = canModifyFlag;
    }

    public String getPreWay() {
        return preWay;
    }

    public void setPreWay(String preWay) {
        this.preWay = preWay;
    }

    public List<RegCheckupItemResp> getRegCheckupItemRespList() {
        return regCheckupItemRespList;
    }

    public void setRegCheckupItemRespList(List<RegCheckupItemResp> regCheckupItemRespList) {
        this.regCheckupItemRespList = regCheckupItemRespList;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrdSetsDesc() {
        return ordSetsDesc;
    }

    public void setOrdSetsDesc(String ordSetsDesc) {
        this.ordSetsDesc = ordSetsDesc;
    }
}
